Last Comment Bug 1139679 - Make use of BUG_COMPONENT metadata
: Make use of BUG_COMPONENT metadata
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Mac OS X
-- normal (vote)
: 4.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks: 1175735
  Show dependency treegraph
 
Reported: 2015-03-04 16:05 PST by Philipp Kewisch [:Fallen]
Modified: 2015-06-17 15:46 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (6.62 KB, patch)
2015-03-04 16:06 PST, Philipp Kewisch [:Fallen]
no flags Details | Diff | Splinter Review
Fix - v2 (6.52 KB, patch)
2015-03-09 13:34 PDT, Philipp Kewisch [:Fallen]
Pidgeot18: review+
Details | Diff | Splinter Review
Fix - v3 (6.56 KB, patch)
2015-03-17 05:50 PDT, Philipp Kewisch [:Fallen]
philipp: review+
Details | Diff | Splinter Review

Comment 1 User image Philipp Kewisch [:Fallen] 2015-03-04 16:06:39 PST
Created attachment 8572925 [details] [diff] [review]
Fix - v1
Comment 2 User image Philipp Kewisch [:Fallen] 2015-03-04 16:08:14 PST
See bug 1139341 for why we need the empty moz.build
Comment 3 User image Ian Neal 2015-03-04 17:59:26 PST
Comment on attachment 8572925 [details] [diff] [review]
Fix - v1

>+++ b/calendar/lightning/moz.build
>@@ -31,3 +31,17 @@
>     'content/lightning.js',
> ]
> 
>+with Files('**'):
>+    BUG_COMPONENT = ('Calendar', 'Lightning Only')
>+
>+with Files('content/suite-*'):
>+    BUG_COMPONENT = ('Calendar', 'Lightning: SeaMonkey Integration')
>+
>+with Files('content/suite-*'):
>+    BUG_COMPONENT = ('Calendar', 'Lightning: SeaMonkey Integration')
>+
Not sure if my eyes are playing tricks, but this appears to be a duplication.
Comment 4 User image Philipp Kewisch [:Fallen] 2015-03-09 13:34:20 PDT
Created attachment 8574831 [details] [diff] [review]
Fix - v2

Oh thanks for spotting that, not sure where that came from.
Comment 5 User image Joshua Cranmer [:jcranmer] 2015-03-16 19:06:56 PDT
Comment on attachment 8574831 [details] [diff] [review]
Fix - v2

Review of attachment 8574831 [details] [diff] [review]:
-----------------------------------------------------------------

I only vaguely looked over the lists of bug component metadata, since I'm not familiar with the Calendar side of things.

::: calendar/moz.build
@@ +23,5 @@
> +with Files('**/*.mk'):
> +    BUG_COMPONENT = ('Calendar', 'Build Config')
> +    FINAL = True
> +
> +with Files('**/*.manifest'):

I'm not too sure about this one being true...

::: moz.build
@@ +2,5 @@
> +# This Source Code Form is subject to the terms of the Mozilla Public
> +# License, v. 2.0. If a copy of the MPL was not distributed with this
> +# file, You can obtain one at http://mozilla.org/MPL/2.0/.
> +
> +# This file needs to stay here even if empty so that mach will work

You should mention that it's needed specifically for commands like mach file-info.
Comment 6 User image Philipp Kewisch [:Fallen] 2015-03-17 05:50:39 PDT
Created attachment 8578609 [details] [diff] [review]
Fix - v3

(In reply to Joshua Cranmer [:jcranmer] from comment #5)
> Comment on attachment 8574831 [details] [diff] [review]
> Fix - v2
> 
> Review of attachment 8574831 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> I only vaguely looked over the lists of bug component metadata, since I'm
> not familiar with the Calendar side of things.
> 
> ::: calendar/moz.build
> @@ +23,5 @@
> > +with Files('**/*.mk'):
> > +    BUG_COMPONENT = ('Calendar', 'Build Config')
> > +    FINAL = True
> > +
> > +with Files('**/*.manifest'):
> 
> I'm not too sure about this one being true...
Given bug 1143163 I should probably change it to *manifest. It would cover these files:
http://mxr.mozilla.org/comm-central/find?string=manifest%24&tree=comm-central&hint=calendar

I guess they could be seen as belonging to the respective component, I don't think it makes a big difference though. Leaving as build config for now.


> 
> ::: moz.build
> @@ +2,5 @@
> > +# This Source Code Form is subject to the terms of the Mozilla Public
> > +# License, v. 2.0. If a copy of the MPL was not distributed with this
> > +# file, You can obtain one at http://mozilla.org/MPL/2.0/.
> > +
> > +# This file needs to stay here even if empty so that mach will work
> 
> You should mention that it's needed specifically for commands like mach
> file-info.
Thanks, I've changed the comment.
Comment 7 User image Philipp Kewisch [:Fallen] 2015-03-19 17:04:46 PDT
Pushed to comm-central changeset b924dcfdae95

Note You need to log in before you can comment on or make changes to this bug.